=== Pay With CoinsPaid for Drupal – Cryptocurrency Payment Gateway ===

Works with Drupal: ^8 || ^9 || ^10 || ^11

CoinsPaid plugin allows you to accept payments in cryptocurrency

== Description ==

CoinsPaid plugin allows you to accept payments in cryptocurrency. CoinsPaid supports over **50 cryptocurrencies** and counting.

### Features

CoinsPaid plugin allows you to accept payments in cryptocurrency. CoinsPaid supports over **50 cryptocurrencies** and counting.
Users will be able to pick a crypto of their choice and then scan a QR code of your crypto wallet address. After that, they will send their crypto currency to your account in CoinsPaid.

CoinsPaid provides **сryptocurrency payment** services, enabling businesses to operate worldwide.

### Supported crypto currencies

- *BTC - Bitcoin*
- *LTC - Litecoin*
- *BCH - Bitcoin cash*
- *ADA - Cardano*
- *ETH - Ethereum*
- *DOGE - Dogecoin*
- *FTNB* - Fasttoken*
- *VERSE - Verse*
- *XRP - Ripple*
- *SOL - Solana*
- *CSC - CasinoCoin (based on XRP network)*
- *USDT - Tether* USD Omni layer token (based on BTC network)*
- *USDTE - Tether USD ERC-20 token*
- *USDTT - Tether USD TRC-20 token*
- *ERC20 token(s) can be added by request*
- *BNB-BSC - Binance BEP-20 coin*
- *SNACK - Crypto Snack BEP-20 token*
- *EURS - STASIS EURS*
- *USDC - USD Coin ERC-20 token*
- *TRX - TRON*
- *XED - Exeedme ERC-20 token*
  -*BRZ - Brazilian Digital ERC-20 token*

*\* Tether token is the most popular "stablecoin", the price of the token is fluctuating around 1 USD.*

### Supported networks

- *ERC-20 means that a token is based on the Ethereum network;*
- *TRC-20 means that a token is based on the Tron network;*
- *BEP-20 means that a token is based on Binance Smart Chain network;*
- *BEP-2 means that a coin or token is based on the Binance Chain network.*

### Third Party API & Licence Information

- CoinsPaid Website: [https://coinspaid.com/](https://coinspaid.com/)
- API docs: [https://docs.cryptoprocessing.com/](https://docs.cryptoprocessing.com/?_ga=2.121967619.983919275.1664180307-416060835.1664180307)
- Privacy policy: [https://coinspaid.com/privacypolicy/](https://coinspaid.com/privacypolicy/)
- Term of Use: [https://coinspaid.com/terms-of-use/](https://coinspaid.com/terms-of-use/)

### Requirements

Drupal Commerce (https://www.drupal.org/project/commerce)

This module should be added to your codebase via Composer to ensure the Stripe
PHP library dependency is properly managed:

`composer require 'drupal/coinspaid:^1.0'`

You must also have a CoinsPaid account

### Configuration

- Go to Extend
- Аind the module Coinspaid Commerce Payment Gateway in the list and select the checkbox, туче click install at the bottom.
- After install go to Commerce -> Configuration -> Payment -> Payment gateways and click Add payment gateway
- Need enter Name, Machine name will appear next to it, remember it, you will need it to configure the callback.
  Enter Display name, insert the secret key in the Secret Key field and the public key in the Publishable Key field. You can enable or disable Sandbox mode, Logged mode, Time restriction mode. And you need Enable module to be displayed on the checkout page
  These you can get in CoinsPaid BackOffice.

### CoinsPaid Backoffice

1. Go to a Merchant's Settings and open an *Api keys* menu.

**Attention!** Please note, for your safety, we recommend creating a new Merchant to work with the plugins.
2. To create an *Api key* you need to  click on a *Generate Api key* button, enter the 2FA code and then click on the Generate button.
3. To activate a new API key click on the *Activate* button.
4. Enter the 2FA code again and click on the *Activate* button again.

**Attention!** Please note that the secret key is displayed only once when it is activated. Therefore, it is required to save it for further work.
5. Go to the Merchant settings, then go to the API section and setup the callback URL like:

{{YOUR_SITE_URL}}/payment/notify/{machine_name}

*YOUR_SITE_URL* shall match with an url in the Drupal extension settings.
*machine_name* The name Payment gateway, which is displayed next to the name.

This is required for updating the operation status in the administrative panel of the Drupal plugin. 


